pipeline:
  backend:
    image: rust
      #    environment:
      #      - DATABASE_URL=postgres://postgres:password@database:5432/postgres
    commands:
      #      - make migrate
      - make
      - make test
      - make release

  publish_bins:
    image: rust

    commands:
      - apt update
      - apt-get -y --no-install-recommends install gpg tar curl wget
      - echo -n "$RELEASE_BOT_GPG_SIGNING_KEY" | gpg --batch --import --pinentry-mode loopback
      - ./scripts/bin-publish.sh publish master latest $DUMBSERVE_PASSWORD
    secrets: [ RELEASE_BOT_GPG_SIGNING_KEY, DUMBSERVE_PASSWORD, GPG_PASSWORD ]

  publish:
    image: plugins/docker
    settings:
      username: realaravinth
      password:
        from_secret: DOCKER_TOKEN
      repo: realaravinth/librepages-conductor
      tags: latest

        #services:
        #  database:
        #    image: postgres
        #    environment:
        #      - POSTGRES_PASSWORD=password
